package com.sakurarealm.playerrisk.api;

import org.bukkit.configuration.ConfigurationSection;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.configuration.file.YamlConfiguration;
import org.bukkit.plugin.Plugin;

import java.io.File;

public class PlayerRiskSettings {

    private final int levelMax;
    private final int increaseInterval;

    public PlayerRiskSettings(ConfigurationSection config) {
        levelMax = config.getInt("level-max");
        increaseInterval = config.getInt("increase-interval");
    }


    public PlayerRiskSettings(Plugin plugin){
        //保存配置文件
        plugin.saveResource("config.yml",false);
        FileConfiguration config;
        File file = new File(plugin.getDataFolder(), "config.yml");
        config = YamlConfiguration.loadConfiguration(file);
        this.increaseInterval = config.getInt("settings.increase-interval");
        this.levelMax = config.getInt("settings.level-max");
    }

    public int getIncreaseInterval() {
        return increaseInterval;
    }

    public int getLevelMax() {
        return levelMax;
    }
}
